package com.engine.recruit.service;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/11/22
 * @version: 1.0
 */
public interface InitRecruitDataService {

    /**
     * 校验初始化状态
     *
     * @return
     */
    Map<String, Object> checkInitStatus();

    /**
     * 初始化招聘数据
     *
     * @return
     */
    Map<String, Object> initRecruitData();

    /**
     * 更新招聘数据
     *
     * @return
     */
    Map<String, Object> updateRecruitData();

}
